import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
// 管理员
import admin from '@common/src/store/admin';
import program from '@common/src/store/program';
// 系统设置
import dictdata from '@common/src/store/system/dictdata';
// 网站
import company from '@common/src/store/web/company';
import banner from '@common/src/store/web/banner';
import news from '@common/src/store/web/news';
import cases from '@common/src/store/web/cases';
import leavemess from '@common/src/store/web/leavemess';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  getters: {},
  mutations: { ...umutations },
  actions: {},
  modules: {
    admin,
    program,
    dictdata,
    company,
    banner,
    news,
    cases,
    leavemess,
  },
});
